## org.apache.poi.util
Interface LittleEndianOutput

All Known Subinterfaces:
  DelayableLittleEndianOutput

All Known Implementing Classes:
  ContinuableRecordOutput, LittleEndianByteArrayOutputStream, LittleEndianOutputStream

    public interface LittleEndianOutput

Author:
  Josh Micich

Method Summary
`void` `write(byte[] b)`
`void` `write(byte[] b, int offset, int len)`
`void` `writeByte(int v)`
`void` `writeDouble(double v)`
`void` `writeInt(int v)`
`void` `writeLong(long v)`
`void` `writeShort(int v)`

Method Detail

### writeByte

    void writeByte(int v)

### writeShort

    void writeShort(int v)

### writeInt

    void writeInt(int v)

### writeLong

    void writeLong(long v)

### writeDouble

    void writeDouble(double v)

### write

    void write(byte[] b)

### write

    void write(byte[] b,
               int offset,
               int len)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.